# bio_socket.h File Reference

`#include <gwenhywfar/bufferedio.h>`
`#include <gwenhywfar/inetsocket.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API GWEN_BUFFEREDIO * | GWEN_BufferedIO_Socket_new (GWEN_SOCKET *sock)

## Function Documentation

GWENHYWFAR_API GWEN_BUFFEREDIO* GWEN_BufferedIO_Socket_new | ( | GWEN_SOCKET * | sock | ) |

| Create a buffered IO context using an already open socket. This socket will automatically be closed upon GWEN_BufferedIO_Close. This function takes over ownership for that socket ! This context can be free'd using GWEN_BufferedIO_free.